#!/bin/bash
PRODUCTNAME="statexplorer"
TMPDIR="/tmp/statexplorer"
INSTALLDIR="/usr/share/ombutel/www"
IPCDIR="/etc/ipconnect"
OLDVERSION=-1
NEWVERSION=-1

mkdir -p "$TMPDIR"

if [ -e "$IPCDIR/$PRODUCTNAME.ver" ]
then
    OLDVERSION=$(cat "$IPCDIR/$PRODUCTNAME.ver" |cut -d"." -f2)
fi
NEWVERSION=$(head -n 1 "$INSTALLDIR/$PRODUCTNAME/version.txt" |cut -d"." -f2)
echo "-- Updating from 3.$OLDVERSION to 3.$NEWVERSION"

for (( i = $OLDVERSION+1 ; i <= $NEWVERSION ; i++))
{
    UPDIR="3.$i"
    echo "-- Executing patch 3.$i"
    find "$INSTALLDIR/$PRODUCTNAME/InstallScripts/$UPDIR" -name '*' -exec dos2unix {} 2> /dev/null \;
    bash "$INSTALLDIR/$PRODUCTNAME/InstallScripts/$UPDIR/update.sh"
}

echo "3.$NEWVERSION" > "$IPCDIR/$PRODUCTNAME.ver"
echo "-- Update finished"

rm -rf "$TMPDIR"
exit